# Administration Reference

## bos setcellname

Purpose

Sets the cell's name in the /usr/afs/etc/ThisCell and /usr/afs/etc/CellServDB files

Synopsis

    bos setcellname -server <machine name>  -name <cell name>
                    [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos setc -s <machine name>  -n <cell name>  [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos setcellname command establishes the cell's name and makes the server machine named by the -server argument a member of it, by recording the value of the -name argument in two files which it creates on the local disk:

- /usr/afs/etc/ThisCell

- /usr/afs/etc/CellServDB. The cell name appears on the first line in the file, preceded by the required `>` symbol. The machine name specified with the -server argument appears on the second line along with its IP address as obtained from the cell's naming service. The machine is thus designated as the cell's first database server machine.

Cautions

Issue this command only when the installing the cell's first AFS server machine. The IBM AFS Quick Beginnings explains how to copy over the ThisCell and CellServDB files from this or another appropriate machine during installation of additional server machines.

Be sure to choose a satisfactory cell name when issuing this command, because changing a cell's name is very complicated; for one thing, it requires changing every password in the Authentication Database. Consult the IBM AFS Administration Guide for advice on choosing a cell name. If changing the cell's name is absolutely necessary, contact AFS Product Support for complete instructions.

Options

-server
  Indicates the server machine on which to set the cell name in the ThisCell and CellServDB file. It is always the first machine installed in a cell. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-name
  Defines the cell name, using standard Internet domain name format (the actual domain name is usually appropriate). Examples are abc.com for the ABC Corporation and stateu.edu for the State University. It must match the value of the -cell argument, if that is provided.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command defines the cell name abc.com in the ThisCell and CellServDB files on the machine fs1.abc.com as it is installed as the cell's first server machine.

       % bos setcellname -server fs1.abc.com -name abc.com

Privilege Required

Authorization checking is normally turned off during installation, which is the only recommended time to use this command; in this case no privilege is required. If authorization checking is turned on, the issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged in as the local superuser root if the -localauth flag is included.

Related Information

CellServDB (server version)

KeyFile

ThisCell (server version)

UserList

bos

IBM AFS Quick Beginnings

IBM AFS Administration Guide

© IBM Corporation 2000. All Rights Reserved